<?php
$titre_page = "Supprimer un fichier";
require("./0admin_header.php");

// Si on peut traiter le fichier on le fait
if(file_exists($_GET['file'])) {
if(is_writable($_GET['file']) || $os_du_serveur == "windows") {
unlink($_GET['file']);
echo "<h1>Opération terminée</h1>
<p>Le fichier <strong>$_GET[file]</strong> a bien été effacé.</p>";
}
// Si on ne peut pas... on ne le fait pas mais on le dit :o)
else "<h1>Permission refusée</h1>
<p><strong>ATTENTION !</strong> $nom_du_projet n'a pas les autorisations nécessaires à la de ce fichier. Pour résoudre ce problème changez, à l'aide d'un
client FTP, le <strong>chmod</strong> du fichier en 666 et réactualisez cette page.</p>

<p><strong>Note :</strong> Tous vos fichiers devraient déjà avoir un chmod 666. Si ce n'est pas le cas faites-le.</p>";}
else echo "<h1>Erreur : fichier introuvable</h1>
<p>Le fichier est introuvable dans votre dossier.</p>";

require("./0admin_footer.php");
?>